VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
AudioBus Class Reference
VST Implementation Helper Classes

Description of an Audio Bus. More...

`#include <vstbus.h>`

Inheritance diagram for AudioBus:

## Public Member Functions
| AudioBus (const TChar *name, BusType busType, int32 flags, SpeakerArrangement arr)
SpeakerArrangement | getArrangement () const
| Gets the speaker arrangement defining this Audio bus.
void | setArrangement (const SpeakerArrangement &arr)
| Sets the speaker arrangement defining this Audio bus.
bool | getInfo (BusInfo &info) SMTG_OVERRIDE
| Gets the BusInfo associated to this Audio bus.
Public Member Functions inherited from Bus
| Bus (const TChar *name, BusType busType, int32 flags)
| Constructor.
TBool | isActive () const
| Returns true if the bus is active.
void | setActive (TBool state)
| Activates the bus.
void | setName (String newName)
| Sets a new name for this bus.
void | setBusType (BusType newBusType)
| Sets a new busType for this bus.
void | setFlags (uint32 newFlags)
| Sets a new flags for this bus.

## Additional Inherited Members
Public Attributes inherited from Bus
OBJ_METHODS(Vst::Bus, FObject) protected BusType | busType
| < name
int32 | flags
| flags, see BusInfo::BusFlags
TBool | active
| activation state

## Detailed Description

Description of an Audio Bus.

## Constructor & Destructor Documentation

AudioBus | ( | const TChar * | name,
|  | BusType | busType,
|  | int32 | flags,
|  | SpeakerArrangement | arr
| ) |  |

## Member Function Documentation

SpeakerArrangement getArrangement | ( |  | ) | const
| inline

Gets the speaker arrangement defining this Audio bus.

void setArrangement | ( | const SpeakerArrangement & | arr | ) |
| inline

Sets the speaker arrangement defining this Audio bus.

bool getInfo | ( | BusInfo & | info | ) |
| virtual

Gets the BusInfo associated to this Audio bus.

Reimplemented from Bus.

Empty

Copyright ©2022 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.